Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
LoopingList Struct Reference
Inheritance diagram for LoopingList:

## Public Member Functions
| LoopingList ()
LoopingList::iterator | findImage (AUDIOHANDLE handle)
void | sort ()
Public Member Functions inherited from VectorPtr< LoopingImage * >
| VectorPtr ()
| VectorPtr (const char *fileName, const U32 lineNum)
iterator | begin ()
const_iterator | begin () const
iterator | end ()
const_iterator | end () const
void | insert (iterator, const LoopingImage * &)
void | insert (int idx)
void | erase (iterator)
LoopingImage * & | front ()
const LoopingImage * & | front () const
LoopingImage * & | back ()
const LoopingImage * & | back () const
void | push_front (const LoopingImage * &)
void | push_back (const LoopingImage * &)
LoopingImage * & | operator[] (U32)
const LoopingImage * & | operator[] (U32) const
LoopingImage * & | first ()
const LoopingImage * & | first () const
LoopingImage * & | last ()
const LoopingImage * & | last () const
void | erase_fast (U32)
void | erase_fast (iterator)
Public Member Functions inherited from Vector< void * >
| Vector (const U32 initialSize=0)
| Vector (const U32 initialSize, const char *fileName, const U32 lineNum)
| Vector (const char *fileName, const U32 lineNum)
| Vector (const Vector &)
| ~Vector ()
void | setFileAssociation (const char *file, const U32 line)
void | insert (U32)
void | erase (U32)
U32 | memSize () const
void * * | address () const
U32 | setSize (U32)
void | increment (U32=1)
void | increment (const void * *array, U32=1)
void | decrement (U32=1)
void | erase_fast (U32)
void | erase_fast (iterator)
void | clear ()
void | compact ()
void | sort (compare_func f)
void * & | first ()
const void * & | first () const
void * & | last ()
const void * & | last () const
void | set (void *addr, U32 sz)
void | merge (const Vector &p)
Vector< void * > & | operator= (const Vector< void * > &p)
iterator | begin ()
const_iterator | begin () const
iterator | end ()
const_iterator | end () const
S32 | size () const
bool | empty () const
bool | contains (const void * &) const
void | insert (iterator, const void * &)
void | erase (iterator)
void * & | front ()
const void * & | front () const
void * & | back ()
const void * & | back () const
void | push_front (const void * &)
void | push_back (const void * &)
U32 | push_front_unique (const void * &)
U32 | push_back_unique (const void * &)
S32 | find_next (const void * &, U32 start=0) const
void | pop_front ()
void | pop_back ()
void * & | operator[] (U32)
const void * & | operator[] (U32) const
void * & | operator[] (S32 i)
const void * & | operator[] (S32 i) const
void * & | at (U32)
const void * & | at (U32) const
void | reserve (U32)
U32 | capacity () const

## Additional Inherited Members
Public Types inherited from VectorPtr< LoopingImage * >
typedef LoopingImage * | value_type
typedef LoopingImage * & | reference
typedef const LoopingImage * & | const_reference
typedef LoopingImage * * | iterator
typedef const LoopingImage * * | const_iterator
typedef U32 | difference_type
typedef U32 | size_type
typedef Vector< void * > | Parent
Public Types inherited from Vector< void * >
typedef void * | value_type
typedef void * & | reference
typedef const void * & | const_reference
typedef void * * | iterator
typedef const void * * | const_iterator
typedef S32 | difference_type
typedef U32 | size_type
typedef difference_type(QSORT_CALLBACK * | compare_func) (const void * *a, const void * *b)
Protected Member Functions inherited from Vector< void * >
bool | resize (U32)
void | destroy (U32 start, U32 end)
| Destructs elements from start to end-1 More...
void | construct (U32 start, U32 end)
| Constructs elements from start to end-1 More...
void | construct (U32 start, U32 end, const void * *array)
Protected Attributes inherited from Vector< void * >
U32 | mElementCount
U32 | mArraySize
void * * | mArray
const char * | mFileAssociation
U32 | mLineAssociation

## Constructor & Destructor Documentation

LoopingList | ( |  | ) |
| inline

## Member Function Documentation

LoopingList::iterator findImage | ( | AUDIOHANDLE | handle | ) |
| inline

void sort | ( |  | ) |

The documentation for this struct was generated from the following file:

- audio/audio.cc